Search the web
POST
Returns a stable, normalized list of web search results.
HTTPBearerheader
AuthorizationBearer <token>application/json- body
query*stringNatural-language web query.
Length
1 <= length <= 1000Normalized web search results.
application/json- response
query*stringanswer_box?knowledge_graph?results*array<>Example Request
curl -X POST 'https://api.repromptai.com/v1/search' \ -H 'Content-Type: application/json' \ -d '{ "query": "What is the difference between a web search API and a research agent?"}'Example Response
{ "query": "string", "answer_box": { "title": "string", "answer": "string", "snippet": "string", "url": "http://example.com", "date": "string" }, "knowledge_graph": { "title": "string", "type": "string", "description": "string", "website": "http://example.com", "facts": { "property1": "string", "property2": "string" } }, "results": [ { "title": "string", "url": "http://example.com", "snippet": "string", "position": 1, "date": "string" } ]}